Subject: bug#22005: gnus-summary-kill-thread moves cursor to end of buffer in some cases

From: Tomasz Gajewski <[email-masked]>
Date: Tue, 24 Nov 2015 19:48:54 +0100

Normally gnus-summary-kill-thread sets cursor after killed thread but
sometimes cursor is moved to end of buffer skipping all subsequent
threads. It bothered me for quite a long time as it wasn't reproducible
for me (I could kill thread just once) but I think I have found in what
circumstances it happens.

I think this happens if I enter gnus summary buffer where I have some
old unread mails and some new unread mails and I call
gnus-summary-kill-thread before I press enter to see some concrete
message content. It is reproducible only until I see some message
content and only if both new and old unread messages are in the buffer.

Gnus v5.13
GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian

--
Tomasz Gajewski